For the complete documentation index, see llms.txt. This page is also available as Markdown.

API Reference

Authorization Requests

Get authorization data.

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
client_idstringRequired
response_typestringRequired
redirect_uristringRequired
scopestringRequired
code_challengestringRequired
code_challenge_methodstringRequired
statestringOptional
Responses
200

Get application and user OAuth2 data.

No content

get/authorize/
GET /oauth2/authorize/?client_id=text&response_type=text&redirect_uri=text&scope=text&code_challenge=text&code_challenge_method=text HTTP/1.1
Host: api.matrica.io/
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

No content

Submit authorization by user.

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
client_idstringRequired
response_typestringRequired
redirect_uristringRequired
scopestringRequired
code_challengestringRequired
code_challenge_methodstringRequired
statestringOptional
Body
authorizebooleanRequired
Responses
200

Submit Authorization data.

No content

post/authorize/
POST /oauth2/authorize/?client_id=text&response_type=text&redirect_uri=text&scope=text&code_challenge=text&code_challenge_method=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 18

{
  "authorize": true
}

No content

Token Requests

Content-Type must be application/x-www-form-urlencoded

Get oauth2 access tokens.

post
Body
client_idstringRequired
client_secretstringOptional
grant_typestringRequired
redirect_uristringRequired
codestringRequired
code_verifierstringRequired
refresh_tokenstringOptional
Responses
200

Returns the tokens.

No content

post/token/
POST /oauth2/token/ HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 145

{
  "client_id": "text",
  "client_secret": "text",
  "grant_type": "text",
  "redirect_uri": "text",
  "code": "text",
  "code_verifier": "text",
  "refresh_token": "text"
}

No content

Revokes an Oauth2 Token

post
Responses
200

Token revoked

No content

post/token/revoke
POST /oauth2/token/revoke HTTP/1.1
Host: api.matrica.io/
Accept: */*
200

Token revoked

No content

User data requests (v1, deprecated)

Use the user's OAuth2 access token to make these calls.

In the HTTP request header: Authorization: Bearer xxxx where xxxx is the access token

Get OAuth2 user profile.

get
Responses
200

Returns the OAuth2 user profile.

No content

get/user/profile
GET /oauth2/user/profile HTTP/1.1
Host: api.matrica.io/
Accept: */*
200

Returns the OAuth2 user profile.

No content

Get OAuth2 user wallets.

get
Responses
200

Returns the OAuth2 user wallets.

No content

get/user/wallets
GET /oauth2/user/wallets HTTP/1.1
Host: api.matrica.io/
Accept: */*
200

Returns the OAuth2 user wallets.

No content

Get OAuth2 user nfts.

get
Responses
200

Returns the OAuth2 user nfts.

No content

get/user/nfts
GET /oauth2/user/nfts HTTP/1.1
Host: api.matrica.io/
Accept: */*
200

Returns the OAuth2 user nfts.

No content

Get OAuth2 user verified email

GET https://api.matrica.io/oauth2/user/email

Returns the user data including their verified email. If the user doesn't have a verified email. this will null.

Get OAuth2 user discord.

get
Responses
200

Returns the OAuth2 user discord.

No content

get/user/discord
GET /oauth2/user/discord HTTP/1.1
Host: api.matrica.io/
Accept: */*
200

Returns the OAuth2 user discord.

No content

Get OAuth2 user twitter.

get
Responses
200

Returns the OAuth2 user twitter.

No content

get/user/twitter
GET /oauth2/user/twitter HTTP/1.1
Host: api.matrica.io/
Accept: */*
200

Returns the OAuth2 user twitter.

No content

Get OAuth2 user telegram.

GET https://api.matrica.io/oauth2/user/telegram

Last updated